cancel
Showing results for 
Search instead for 
Did you mean: 

SUPEE 8788 AND SUPEE 1533 (Incompatible, Hunk error)

SUPEE 8788 AND SUPEE 1533 (Incompatible, Hunk error)

I did some research and realized that supee 8788 cannot be installed is you have installed supee 1533 update. 
How should we patch when its throwing hunk error on the following line: app/code/core/Mage/Adminhtml/controllers/DashboardController.php.


Someone please provide step-by step instructions how to modify DashboardController.php file and install SUPEE 8788

71 REPLIES

Re: SUPEE 8788 AND SUPEE 1533 (Incompatible, Hunk error)

Re: SUPEE 8788 AND SUPEE 1533 (Incompatible, Hunk error)

They are talking about manual reversing of DashboardController.php, I lost how the code should look like after we revert 1533, install 8788 and again have to rever 1533 changes back. The last past is where I am lost. Anyone can post a copy how it should look?

Re: SUPEE 8788 AND SUPEE 1533 (Incompatible, Hunk error)

We are experiencing this issue attempting to patch CE 1.8.1.0 and EE 1.12.0.2

 

Whilst the solutions offered by others in the Stack Exchange post may get you around the problem of applying the patch, surely Magento need to acknowledge the issue and supply a new patch? 

 

As the workarounds are not the official word from Magento, we could be both failing to resolve the security flaw and introducing a new issue. This is also likely to crop up again in future upgrades or patches.

 

What is Magento's official response on this issue?

Re: SUPEE 8788 AND SUPEE 1533 (Incompatible, Hunk error)

100% agree with cgan, I dont want to do workaround unless it essential. I hope Magento will release updated patch. Self made methods may hunt us in the future updates.

Re: SUPEE 8788 AND SUPEE 1533 (Incompatible, Hunk error)

I looked at stackvoerflow solution 

  1. Manually revert the changes introduced to that file by SUPEE-1533
  2. Apply SUPEE-8788
  3. Manually reintroduce the changes introduced to that file by SUPEE-1533

    I am lost on Step 3, how should the code look. Some mention that manually updated 8788 dashboardcontroller.php must  have "json_decode, but it should use the hash_equals rather than ==."

    If anyone can provide a manully edited portion of DashboardController after update would be great. I not sure how we shall combine changes betwen 8788 and 1533

Re: SUPEE 8788 AND SUPEE 1533 (Incompatible, Hunk error)

I have raised the issue with Magento and they say they are releasing a new version of the patch to resolve this issue.

Re: SUPEE 8788 AND SUPEE 1533 (Incompatible, Hunk error)

Great, did they say approximate release date?

Re: SUPEE 8788 AND SUPEE 1533 (Incompatible, Hunk error)

'should be ready shortly' so hopefully soon

Re: SUPEE 8788 AND SUPEE 1533 (Incompatible, Hunk error)

Thank you so much.